[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: DevOps With OpenShift issues on Ubuntu 16.04



Hi Benjamin,

the image you are using probably expects httpd to run under root
account and this is not permitted by default (because it is a security
threat).

Read this post to get more info how to enable it:
https://blog.openshift.com/getting-any-docker-image-running-in-your-own-openshift-cluster/

2017-09-18 8:42 GMT+02:00 Benjamin <zorlin gmail com>:
> Hi there,
>
> I am trying to follow the book "DevOps With OpenShift" and having some
> trouble. When I get to the point of launching the 'cotd' container demo,
> specifically this line:
>
> oc new-app --name='cotd' --labels name='cotd'
> php~https://github.com/devops-with-openshift/cotd.git -e SELECTOR=cats
>
> It appears to spool up and build okay, but then fails in a crash loop:
>
> AH00558: httpd: Could not reliably determine the server's fully qualified
> domain name, using 172.17.0.2. Set the 'ServerName' directive globally to
> suppress this message
> (13)Permission denied: AH00058: Error retrieving pid file
> /opt/rh/httpd24/root/var/run/httpd/httpd.pid
> AH00059: Remove it before continuing if it is corrupted.
>
> I'm running Ubuntu 16.04 64-bit, fully up-to-date including the kernel, and
> using the latest stable oc binary (Origin v3.6.0), and running Docker from
> its official repos. OpenShift itself seems to work great and has no major
> issues.
>
> FWIW I've used this exact same book and exact same commands and processes to
> successfully get the demo up and running on two different Macs, so it looks
> like this is a Ubuntu-specific issue. I would switch to Fedora but my
> workstation requires Ubuntu for various annoying reasons. I want to get this
> up and running as my workstation has 32GB of RAM which is 2-4x more than all
> my other machines!
>
> Version information follows:
>
> foo bar:~$ oc version
> oc v3.6.0+c4dd4cf
> kubernetes v1.6.1+5115d708d7
> features: Basic-Auth GSSAPI Kerberos SPNEGO
>
> Server https://127.0.0.1:8443
> openshift v3.6.0+c4dd4cf
> kubernetes v1.6.1+5115d708d7
>
> foo bar:~$ docker -v
> Docker version 17.06.1-ce, build 874a737
>
> foo bar:~$ lsb_release -a
> No LSB modules are available.
> Distributor ID: Ubuntu
> Description: Ubuntu 16.04.3 LTS
> Release: 16.04
> Codename: xenial
>
> foo bar:~$ uname -a
> Linux bar 4.4.0-93-generic #116-Ubuntu SMP Fri Aug 11 21:17:51 UTC 2017
> x86_64 x86_64 x86_64 GNU/Linux
>
> _______________________________________________
> users mailing list
> users lists openshift redhat com
> http://lists.openshift.redhat.com/openshiftmm/listinfo/users
>



-- 

S pozdravom / Best regards
Daniel Kucera.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]